Module ij
Package ij.measure

# Class ResultsTableMacros

java.lang.Object
ij.measure.ResultsTableMacros

All Implemented Interfaces:
  `DialogListener`, `ActionListener`, `KeyListener`, `Runnable`, `EventListener`

public class ResultsTableMacros extends Object implements Runnable, DialogListener, ActionListener, KeyListener
This class implements the Apply Macro command in tables.

Author:
  Michael Schmid

## Constructor Summary

Constructors
Constructor
Description
`ResultsTableMacros(ResultsTable rt)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`boolean`
`dialogItemChanged(GenericDialog gd, AWTEvent e)`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).
`void`
`keyPressed(KeyEvent e)`
`void`
`keyReleased(KeyEvent e)`
`void`
`keyTyped(KeyEvent e)`
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultsTableMacros

public ResultsTableMacros(ResultsTable rt)

## Method Details

### dialogItemChanged

public boolean dialogItemChanged(GenericDialog gd, AWTEvent e)
Description copied from interface: `DialogListener`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).

Specified by:
  `dialogItemChanged` in interface `DialogListener`
Parameters:
  `gd` - A reference to the GenericDialog.
  `e` - The event that has been generated by the user action in the dialog. Note that `e` is `null` if the dialogItemChanged method is called after the user has pressed the OK button or if the GenericDialog has read its parameters from a macro.
Returns:
  Should be true if the dialog input is valid. False disables the OK button and preview (if any).

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### keyPressed

public void keyPressed(KeyEvent e)

Specified by:
  `keyPressed` in interface `KeyListener`

### keyReleased

public void keyReleased(KeyEvent e)

Specified by:
  `keyReleased` in interface `KeyListener`

### keyTyped

public void keyTyped(KeyEvent e)

Specified by:
  `keyTyped` in interface `KeyListener`

### run

public void run()

Specified by:
  `run` in interface `Runnable`